/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function userItems(
  params,
  options,
) {
  return request('/admin/user/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
export async function userUnbonus(
  body,
  options,
) {
  return request('/admin/user/unbonus', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function userBonus(
  body,
  options,
) {
  return request('/admin/user/bonus', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function userIntegral(
  body,
  options,
) {
  return request('/admin/user/integral', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function userUpdate(
  body,
  options,
) {
  return request('/admin/user/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

